<?php
/*
	CUSTOM FUNCTIONS for 'Tao of WP Child' theme

	NOTES

	- This child functions.php file is the ideal place for your custom functions
	- Each parent function is customizable by replicating and modifying it here
	- Any of the default functions in this file are for example and expendable
	- More info and function reference at the WordPress Codex:
		@ https://codex.wordpress.org/Child_Themes
		@ https://codex.wordpress.org/

	- Easy copy/paste WordPress functions:
		@ https://digwp.com/2010/03/wordpress-functions-php-template-custom-functions/
		@ https://digwp.com/2010/04/wordpress-custom-functions-php-template-part-2/

*/

function wptao_version_idtheme($pluginpath) {
//	error_log(__FILE__ . ' filetime '. filemtime($pluginpath),0);
	return filemtime($pluginpath);
	//return '012';
}

// enqueue styles for child theme
// @ https://digwp.com/2016/01/include-styles-child-theme/
function wptao_enqueue_styles() {

        // enqueue parent styles
        wp_enqueue_style(
				'parent-theme',
				get_template_directory_uri() .'/style.css',
				null,
				wptao_version_idtheme(get_template_directory()  . '/style.css'));

        // enqueue child styles
        wp_enqueue_style(
				'child-theme',
				get_stylesheet_directory_uri() .'/style.css',
				array('parent-theme'),
				wptao_version_idtheme(get_stylesheet_directory() . '/style.css'));

}
add_action('wp_enqueue_scripts', 'wptao_enqueue_styles');

// add child theme styles to editor:

// Editor Style
function wptao_editor_style() {
//        add_editor_style('editor.css');
        add_editor_style('style.css');
}
add_action('after_setup_theme', 'wptao_editor_style');


// Custom footer content
// (see footer.php for hook)
function wptao_footer() { ?>

	<!-- Replace this line to add custom footer content -->

<?php }
add_action('wptao_footer', 'wptao_footer');



// Add link to the WP Toolbar
// @ https://codex.wordpress.org/Function_Reference/add_node
function wptao_custom_toolbar_link($wp_admin_bar) {
	$args = array(
		'id' => 'wptao_custom_link',
		'title' => 'WP-Tao',
		'href' => 'https://wp-tao.com/',
		'meta' => array('class'=>'wptao-toolbar-custom', 'title'=>'Tao of WordPress', 'target'=>'_blank')
	);
	$wp_admin_bar->add_node($args);
}
add_action('admin_bar_menu', 'wptao_custom_toolbar_link', 999);



// Customize the Admin footer text
function wptao_custom_admin_footer() { ?>

	<p>
		&copy; <a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a>
		&bull; <a href="https://wp-tao.com/" title="Tao of WordPress">Tao of WordPress</a>
		by <a href="https://perishablepress.com/" title="Perishable Press">Jeff Starr</a>
	</p>

<?php }
add_filter('admin_footer_text', 'wptao_custom_admin_footer');



// Custom dashboard widget
// @ https://digwp.com/2010/10/customize-wordpress-dashboard/
function custom_dashboard_widget() { ?>

	<!-- Widget Display (start editing here) -->
	<p>
		This is a custom dashboard widget that you may customize via your child theme&rsquo;s <code>functions.php</code> file.
		Locate the <code>custom_dashboard_widget()</code> function and customize the &ldquo;Widget Display&rdquo; as needed.
	</p>
	<!-- Widget Display (stop editing here) -->

<?php }
function add_custom_dashboard_widget() {
	wp_add_dashboard_widget('custom_dashboard_widget', 'Custom Dashboard Widget', 'custom_dashboard_widget');
}
add_action('wp_dashboard_setup', 'add_custom_dashboard_widget');

