<?php 
	/*
		Template Name: Custom Page
		Page Template
		NOTES

		- This file is used to display Page pages (e.g., "About", "Contact", et al)
		- It is called when a custom page template has not been specified for the page
		- Visit "/page-templates/page-custom.php" to create a custom page template
		- Don't modify this file directly, instead duplicate the file in a child theme
		- To enable comments on pages, uncomment the comments_template() function below

	*/ 
?>
<?php get_header(); ?>

	<div id="content">

		<?php while (have_posts()) : the_post(); ?>

		<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<header>
				<h1><?php the_title(); ?></h1>
				<?php edit_post_link(__('Edit', 'tao-of-wordpress'), '<div class="edit-link">', '</div>'); ?>
			</header>
			<div class="entry-content">
				<?php the_content(); ?>
				<?php wp_link_pages(array('before'=>'<div class="page-links">' . __('Pages:', 'tao-of-wordpress'), 'after'=>'</div>')); ?>
			</div>
		</article>

		<?php // comments_template('', true); ?>

		<?php endwhile; ?>

	</div>

<?php get_footer(); ?>